Skip to main content
POST
Create Dns Record

Authorizations

X-API-Key
string
header
required

Path Parameters

domain_name
string
required

Body

application/json
name
string
required

Full record name (e.g., api.example.com)

record_type
enum<string>
required
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
SRV,
CAA
content
string
required

Record content (e.g., IP address)

ttl
integer | null
default:300

Time to live in seconds

priority
integer | null

Priority for MX/SRV records

proxied
boolean | null
default:false

Whether the record is proxied (Cloudflare only)

domain_id
string<uuid> | null

ID of the domain

lease_id
string<uuid> | null

ID of the lease (optional)

Response

Successful Response

name
string
required

Full record name (e.g., api.example.com)

record_type
enum<string>
required
Available options:
A,
AAAA,
CNAME,
MX,
TXT,
NS,
SRV,
CAA
content
string
required

Record content (e.g., IP address)

id
string<uuid>
required
domain_id
string<uuid>
required
created_at
string<date-time>
required
ttl
integer | null
default:300

Time to live in seconds

priority
integer | null

Priority for MX/SRV records

proxied
boolean | null
default:false

Whether the record is proxied (Cloudflare only)

lease_id
string<uuid> | null
provider_record_id
string | null
updated_at
string<date-time> | null